### Method

# Ggit Diff format_email

#### Declaration [src]

    gchar*
    ggit_diff_format_email (
      GgitDiff* diff,
      GgitDiffFormatEmailOptions* options,
      GError** error
    )

#### Description [src]

Create an e-mail ready patch from a diff.

#### Parameters

`options`

  Type: `GgitDiffFormatEmailOptions`

  A `GgitDiffFormatEmailOptions`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The patch or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.